# DSS simulation
# Written by Zhao Cheng, Itasca Consulting Group, Inc.

import itasca as it
it.command("python-reset-state false")
import numpy as np

e0list = [0.735, 0.833, 0.907]
pmlist = [100.0, 1000.0, 2000.0, 3000.0]

for e0 in e0list : 
    for pm0 in pmlist :
        outfile = 'tri_cp_' + 'e_' + '{:3.0f}'.format(e0*1000.0) + '_p_' + '{:04.0f}'.format(pm0)
        print('e =', '{:5.3f}'.format(e0), 'p0 =', '{:6.1f}'.format(pm0))
        it.command("model new")
        it.fish.set('e0', e0)
        it.fish.set('pm0', pm0)
        it.fish.set('savefile', outfile + '.f3sav')
        it.fish.set('txtfile',  outfile + '.txt')
        it.command("call 'tri_undrained_toyoura.dat' ")
        
it.command("model new")        